Bug 513882 - smolt-gui needs to depend on qt
smolt-gui needs to depend on qt
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-26 17:39 EDT by Fabian Deutsch
Modified: 2010-01-25 14:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-25 14:30:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2009-07-26 17:39:47 EDT
Description of problem:
Installting smolt-gui is not enough to run smoltGui, as Qt is required, but not a dependency.

Version-Release number of selected component (if applicable):
Rawhide

How reproducible:
Always

Steps to Reproduce:
1. Make sure qt is not installed
2. Install smolt-gui
3. run smoltGui
  
Actual results:
[fabiand@proprietary linux]$ smoltGui 
Traceback (most recent call last):
  File "/usr/bin/smoltGui", line 20, in <module>
    from PyQt4.QtCore import *
ImportError: No module named PyQt4.QtCore

Expected results:
Is runnig fine

Additional info:
Just add the dep to the spec ...
Comment 1 Fabian Deutsch 2009-07-26 17:48:49 EDT
Actually it's 

PyQt4

to depend on afaik...
Comment 2 Bug Zapper 2009-11-16 06:07:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Mike McGrath 2010-01-25 14:30:51 EST
This is actually fixed.  I forgot to close the bug.

Note You need to log in before you can comment on or make changes to this bug.